<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto"
    android:id="@+id/motionLayout">

    <Transition
        motion:constraintSetStart="@+id/start"
        motion:constraintSetEnd="@+id/end"
        motion:duration="500"
        motion:motionInterpolator="linear">

        <OnSwipe
            motion:touchAnchorId="@+id/scrollView"
            motion:touchAnchorSide="top"
            motion:onTouchUp="autoCompleteToStart" />
    </Transition>

    <ConstraintSet android:id="@+id/start">

        <Constraint
            android:id="@id/scrollView"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toBottomOf="@+id/appBarLayout"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent">
        </Constraint>
    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">

        <Constraint
            android:id="@+id/scrollView"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_marginBottom="0dp"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent">
        </Constraint>
    </ConstraintSet>
</MotionScene>